summaryrefslogtreecommitdiff
path: root/dev-python/python-evdev/python-evdev-1.5.0-r1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-17 12:47:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-17 12:47:25 +0000
commit93f0b20c1df250463a8da789dd4415b77cf855d1 (patch)
tree4728be3106c9a0239c818518c5fda6e90de3938c /dev-python/python-evdev/python-evdev-1.5.0-r1.ebuild
parent6057f4f73cfd245a6404bb6be9853b4ba1062e0d (diff)
downloadbaldeagleos-repo-93f0b20c1df250463a8da789dd4415b77cf855d1.tar.gz
baldeagleos-repo-93f0b20c1df250463a8da789dd4415b77cf855d1.tar.xz
baldeagleos-repo-93f0b20c1df250463a8da789dd4415b77cf855d1.zip
Adding metadata
Diffstat (limited to 'dev-python/python-evdev/python-evdev-1.5.0-r1.ebuild')
-rw-r--r--dev-python/python-evdev/python-evdev-1.5.0-r1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/python-evdev/python-evdev-1.5.0-r1.ebuild b/dev-python/python-evdev/python-evdev-1.5.0-r1.ebuild
new file mode 100644
index 000000000000..dd2e59170481
--- /dev/null
+++ b/dev-python/python-evdev/python-evdev-1.5.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for evdev bindings"
+HOMEPAGE="https://python-evdev.readthedocs.io/"
+SRC_URI="
+ https://github.com/gvalkov/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm x86"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ tests/test_uinput.py
+)
+
+python_configure_all() {
+ esetup.py build_ecodes \
+ --evdev-headers \
+ "${ESYSROOT}/usr/include/linux/input.h:${ESYSROOT}/usr/include/linux/input-event-codes.h"
+}
+
+src_test() {
+ cd tests || die
+ distutils-r1_src_test
+}